/**
 * @file
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/audio.h>
#include <core/core.h>
#include <core/deck.h>
#include <core/library.h>
#include <core/playlist.h>
#include <core/tags.h>


void core :: init(int *argc, char ***argv)
{
	tagdb    :: init();
	library  :: init();
	playlist :: init();
	deck     :: init();
	audio    :: init(argc, argv);
}
