/*
 * Copyright 2014 (c) Anna Schumaker.
 */
#include <core/playlist.h>
#include <lib/lib.h>
#include <gui/ocarina.h>
#include <gui/tabs.h>

Gtk::Window *ocarina_init(int *argc, char ***argv)
{

	lib :: init(argc, argv, "ocarina6.glade");

	Gtk::Window *window = setup_gui();
	post_init_tabs();
	return window;
}

#ifndef CONFIG_TEST
int main(int argc, char **argv)
{
	Gtk::Main ocarina(&argc, &argv);
	Gtk::Window *window = ocarina_init(&argc, &argv);
	Gtk::Main::run(*window);
	cleanup_tabs();
	return 0;
}
#endif /* CONFIG_TEST */
