/**
 * @file
 * Copyright 2014 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_CORE_H
#define OCARINA_CORE_CORE_H

/**
 * Namespace for basic core library functions.
 */
namespace core
{

	/**
	 * Initializes all components of the core library, including reading
	 * databases from disk and setting up gstreamer.
	 *
	 * @param  argc  Pointer to the argc initially passed to main()
	 * @param  argv  Pointer to the argv initially passed to main()
	 */
	void init(int *, char ***);

}

#endif /* OCARINA_CORE_CORE_H */
