/**
 * @file
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_CORE_VERSION_H
#define OCARINA_CORE_VERSION_H

/**
 * Find the current version of Ocarina.
 *
 * @return The current Ocarina version.
 */
static inline const char *get_version()
{
	return CONFIG_VERSION;
}

#endif /* OCARINA_CORE_VERSION_H */
